## ShellStack

ShellStack — Pure "Z-axis" container class

## Synopsis

    struct              ShellStack;
    struct              ShellStackClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----StWidget
                         +----ShellStack

## Implemented Interfaces

ShellStack implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

A ShellStack draws its children on top of each other, aligned to the top left. It will be sized in width/height according to the largest such dimension of its children, and all children will be allocated that size. This differs from ClutterGroup which allocates its children their natural size, even if that would overflow the size allocated to the stack.

## Details

### struct ShellStack

    struct ShellStack;

### struct ShellStackClass

    struct ShellStackClass {
        StWidgetClass parent_class;
    };